Skip to main content
GET
/
api
/
v1
/
memory
/
{task_id}
Get task working memory
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/memory/{task_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "facts": [
      "<string>"
    ],
    "insights": [
      "<string>"
    ],
    "todos": [
      {
        "content": "<string>",
        "index": 1,
        "status": "pending"
      }
    ],
    "tracked_files": [
      {
        "path": "<string>",
        "type": "file",
        "summary": "<string>"
      }
    ],
    "user_runtime_input": [
      "<string>"
    ]
  },
  "scope": "task",
  "task_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

task_id
string
required

The task ID to retrieve working memory for

Response

Task working memory retrieved successfully

data
object
required
scope
enum<string>
required
Available options:
task
task_id
string
required

The task ID this memory belongs to

updated_at
string<date-time>
required

When the memory was last updated